Update service profile
Update a service profile with a given id.
Editable fields:
name(String optional)description(String optional)allowed_3g(boolean optional)allowed_4g(boolean optional). Allows or restricts connectivity for 4G/LTE and LTE-M networks.allowed_nb_iot(boolean optional)- DEPRECATED
apply_quota(boolean optional, defaults to false). Useapply_data_quotainstead. Will be ignored ifapply_data_quotais present. apply_data_quota(boolean optional, defaults to false)apply_sms_quota(boolean optional, defaults to false)retail(boolean optional, defaults to false)sms_p2p_int(boolean optional, defaults to true)sms_p2p_ext(boolean optional, defaults to true)- DEPRECATED
prepaid(boolean optional, defaults to false) nipdp(boolean optional, defaults to false)api_callback(object optional) can be emptied by setting the id to null (“api_callback”:{“id”:null})api_secret(object optional) can be emptied by setting the id to null (“api_secret”:{“id”:null})moc_callback(object optional) can be emptied by setting the id to null (“moc_callback”:{“id”:null})esme_interface_type(object optional)breakout_region(object optional)dns(object optional)
Authentication
AuthorizationBearer
An auth_token should be provided to authenticate a session.
To obtain an auth_token, see the /api/v1/authenticate POST request.
Path parameters
profile_id
The Numeric ID of a Service Profile
Request
This endpoint expects an object.
name
description
allowed_3g
allowed_4g
allowed_nb_iot
apply_sms_quota
apply_data_quota
retail
sms_p2p_int
sms_p2p_ext
prepaid
nipdp
api_callback
api_secret
moc_callback
esme_interface_type
breakout_region
dns
Response
Successfully updated the Service Profile
Errors
403
Forbidden Error